[SA15332] Nuke ET "codigo" Cross-Site Scripting Vulnerability

2005-05-13T00:00:00
ID SECURITYVULNS:DOC:8608
Type securityvulns
Reporter Securityvulns
Modified 2005-05-13T00:00:00

Description


Want a new IT Security job?

Vacant positions at Secunia: http://secunia.com/secunia_vacancies/


TITLE: Nuke ET "codigo" Cross-Site Scripting Vulnerability

SECUNIA ADVISORY ID: SA15332

VERIFY ADVISORY: http://secunia.com/advisories/15332/

CRITICAL: Less critical

IMPACT: Cross Site Scripting

WHERE: >From remote

SOFTWARE: Nuke ET 3.x http://secunia.com/product/5075/

DESCRIPTION: Suko and Lostmon have reported a vulnerability in Nuke ET, which can be exploited by malicious people to conduct cross-site scripting attacks.

Input passed to the "codigo" parameter in "security.php" isn't properly sanitised before being returned to the user. This can be exploited to execute arbitrary HTML and script code in a user's browser session in context of a vulnerable site.

The vulnerability has been reported in versions prior to 3.2.

SOLUTION: Update to version 3.2.

PROVIDED AND/OR DISCOVERED BY: Lostmon

ORIGINAL ADVISORY: http://lostmon.blogspot.com/2005/05/nukeet-codigo-variable-cross-site.html


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.